com.holonplatform.vaadin.flow.components.builders

## Interface HorizontalLayoutBuilder

- All Superinterfaces:
    ComponentBuilder<com.vaadin.flow.component.orderedlayout.HorizontalLayout,HorizontalLayoutBuilder>, ComponentConfigurator<HorizontalLayoutBuilder>, FlexComponentConfigurator<HorizontalLayoutBuilder>, HasComponentsConfigurator<HorizontalLayoutBuilder>, HasElementConfigurator<HorizontalLayoutBuilder>, HasEnabledConfigurator<HorizontalLayoutBuilder>, HasSizeConfigurator<HorizontalLayoutBuilder>, HasStyleConfigurator<HorizontalLayoutBuilder>, ThemableFlexComponentConfigurator<HorizontalLayoutBuilder>, ThemableLayoutConfigurator<HorizontalLayoutBuilder>

      public interface HorizontalLayoutBuilder
      extends ThemableFlexComponentConfigurator<HorizontalLayoutBuilder>, ComponentBuilder<com.vaadin.flow.component.orderedlayout.HorizontalLayout,HorizontalLayoutBuilder>

  Builder to create `HorizontalLayout` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ThemableFlexComponentConfigurator

      `ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator, ThemableFlexComponentConfigurator.VerticalLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HorizontalLayoutBuilder` | `create()` Create a new `HorizontalLayoutBuilder` to build a `HorizontalLayout` component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ThemableFlexComponentConfigurator

      `configure, configure`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FlexComponentConfigurator

      `addAndAlign, align, alignItems, alignSelf, expand, flexGrow, justifyContentMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasComponentsConfigurator

      `add, add`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `fullHeight, fullSize, fullWidth, height, height, heightUndefined, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ThemableLayoutConfigurator

      `boxSizing, margin, margin, padding, padding, spacing, spacing, withoutMargin, withoutPadding, withoutSpacing`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `hidden, id, visible, withAttachListener, withDetachListener`

- - ### Method Detail

    - #### create

          static HorizontalLayoutBuilder create()

      Create a new `HorizontalLayoutBuilder` to build a `HorizontalLayout` component.
      Returns:
        A new `HorizontalLayoutBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.